The Only API docs
Content

Get posts using a vault media item

List posts that use a specific vault media item.

GET
/api2/v2/vault/media/{media_id}/posts

List posts that use a specific vault media item.

Response is wrapped in the passthrough envelope. OnlyFans only.

Guide: The two surfaces

X-API-Key<token>

Your CRM panel API key

In: header

Path Parameters

media_id*integer

Vault media ID.

Header Parameters

user-id*string

Creator account ID of the account to act as (e.g. 509955039). Required — omitting it returns 400 user-id header is required. Use GET /accounts to list your connected accounts. On /api2/v2/* the account must be an OnlyFans account; Fansly accounts are rejected there.

X-Proxy?string

Proxy URL — HTTP or SOCKS5 (e.g. http://user:pass@host:port or socks5://user:pass@host:port). Optional on post-connection routes, where it overrides the proxy saved at login time. Required on the connection routes (POST /accounts/login, POST /accounts/login/cookies, POST /accounts/login/verify-otp) for OnlyFans accounts; optional for Fansly.

Response Body

application/json

curl -X GET "https://example.com/api2/v2/vault/media/0/posts" \  -H "user-id: 509955039"
{  "success": true,  "status_code": 0,  "data": {    "list": [      {        "id": 0,        "text": "string",        "rawText": "string",        "price": 0,        "isOpened": true,        "isPinned": true,        "postedAt": "2019-08-24T14:15:22Z",        "postedAtPrecise": "string",        "expiredAt": "2019-08-24T14:15:22Z",        "commentsCount": 0,        "favoritesCount": 0,        "tipsAmount": 0,        "media": [          {            "id": 0,            "type": "photo",            "createdAt": "2019-08-24T14:15:22Z",            "duration": 0,            "convertedToVideo": true,            "canView": true,            "isReady": true,            "hasError": true,            "hasPosts": true,            "hasCustomPreview": true,            "counters": {              "buyersCount": 0,              "likesCount": 0,              "tipsSumm": 0            },            "listStates": [              {                "id": 0,                "name": "string",                "hasMedia": true,                "canAddMedia": true              }            ],            "files": {              "full": {                "url": "string",                "width": 0,                "height": 0,                "size": 0              },              "preview": {                "url": "string",                "width": 0,                "height": 0              },              "thumb": {                "url": "string",                "width": 0,                "height": 0              },              "squarePreview": {                "url": "string",                "width": 0,                "height": 0              }            },            "videoSources": {              "property1": "string",              "property2": "string"            }          }        ],        "author": {},        "canComment": true,        "canEdit": true,        "hasVoting": true,        "voting": [          {            "id": 0,            "text": "string",            "votesCount": 0,            "isSelected": true          }        ]      }    ],    "hasMore": true  }}